 
 Changelog

  03/12/2011 V2.01

  - IIDs for ExDisp.inc added to UUID.LIB.
  - definitions of VARIANT_TRUE and VARIANT_FALSE were inapplicable.
  - ExDispId.inc: constant DISPID_NEWWINDOW3 added
  - DocObj.inc: OLECMDID constants updated
  - htiframe.inc added
  - MsHtmHst.inc added
  - optional WinIncEx package created, includes MsHTML.inc, MsHTMLc.inc
    and dimm.inc.
  - ShLwApi.inc recreated to make it use @DefProto macro.
  - basetsd.inc recreated ( missing ULONG_PTR ).
  - commctrl.inc: L_MAX_URL_LENGTH changed.
  - commctrl.inc: type of LVTILEVIEWINFO.sizeTile changed to SIZE_.
  - Sample\AsmCtrl: the control is now fully included, not just a link.
  - powrprof.inc added
  - vf() macro function adjusted to be compatible with 64-bit.

  01/03/2011 V2.00

  - project name changed from Win32Inc to WinInc.
  - Support for Win64 added (not fully implemented yet).
  - WINNLS.INC, WINSVC.INC, WINNETWK.INC, COMMCTRL.INC replaced by newer
    versions.
  - winioctl.inc: struct PARTITION_INFORMATION_EX needed QWORD alignment.
  - winioctl.inc: struct PARTITION_INFORMATION_MBR needed DWORD alignment.
  - winioctl.inc: struct DRIVE_LAYOUT_INFORMATION_GPT needed QWORD alignment.
  - supports PUSHCONTEXT/POPCONTEXT FIELDALIGN if JWasm v2+ is used.
  - WINUSER.INC: struct ACCEL got a DWORD alignment.
  - WINUSER.INC: struct MENUBARINFO got a DWORD alignment.
  - NTDLL.DEF added.
  - L macro function simplified.
  - DBGENG.INC, DBGENG,DEF, DBGHELP.INC and DBGHELP.DEF added.
  - IIDs IDebugClient, IDebugControl, ... added to UUID.LIB.
  - ACCCTRL.INC, ACLAPI.INC and ACLAPI.DEF added.
  - WINCON.INC: added an "alignment filler" to struct INPUT_RECORD
    to help Masm.
  - macros functions CreateDialog, CreateDialogIndirect, DialogBox and
    DialogboxIndirect caused assembly errors.
  - DSound2 sample added.
  - ReadTOC sample added.
  - WINNT.INC: CONTEXT struct for AMD64 was missing.
  - <defined> macro changed. It returns now 0 or -1.
  - COMMDlg.INC: function prototypes replaced by @DefProto to
    make it work for both 32- and 64-bit.
  - MKGUID is now able to create both Win32 and Win64 versions of UUID.LIB.
  - Lib64\UUID.LIB added.
  - PSAPI.INC and PSAPI.DEF added.

  09/02/2009 V1.3.5

  - DDraw2 sample added.
  - SockHttp sample changed, MSVCRT.DLL is no longer used.
  - added entry for GetVDMCurrentDirectories to WINBASE.DEF
  - TLHelp32.DEF added.
  - WINNT.INC, WTYPES.INC: type SHORT deactivated. In WINASM.INC
    option nokeyword:<short> removed.
  - some duplicated entries in WINGDI.DEF and WINUSER.DEF removed.
  - ntdll.inc added, contains a prototype for RtlUnwind().
  - sspi.inc and secur32.def added.

  01/24/2009 V1.3.4

  - SHELLAPI.INC replaced by file generated from C header versions
    dated 2001 (previously 1998).
  - WINASM.INC: equate ('wstr EQU parms') commented out.
  - SHLOBJ.INC: order of bits in record SHELLFLAGSTATE corrected.
  - RPCNDR.INC: order of bits in record MIDL_STUB_MESSAGE_R0 corrected.
  - WINGDI.INC: structs TEXTMETRICA/NEWTEXTMETRICA got a DWORD alignment
    parameter.

  11/22/2008 V1.3.3

  - bugfix in SHLOBJ:INC, structs NT_CONSOLE_PROPS and NT_FE_CONSOLE_PROPS
    contained a wrong member declaration of type DATABLOCK_HEADER.
  - GUIDs IQueryInfo, IDockingWindowSite, IDockingWindowFrame
    added to UUID.LIB

  09/13/2008 V1.3.2

  - WSOCK32.DEF and VERSION.DEF added.
  - some GUIDs concerning active scripting added to UUID.LIB
  - GUIDs IErrorInfo, IFontDisp, IDispatchEx, IDispError, IViewObjectEx
    added to UUID.LIB
  - some GUIDs of MSHTMHST.H added to UUID.LIB

  07/21/2008 V1.3.1

  - bugfix: WINBASE.INC: WIN32_FIND_DATAA needed an alignment parameter.
  - bugfix: WINIOCTL.INC: PARTITION_INFORMATION alignment parameter 8 added.
  - VWIN32.INC added.
  - RECORD definitions in WINNT.INC and WINBASE.INC adjusted.
  - modules for UUID.LIB now assembled with JWasm to reduce size.
  - WINSVC.DEF and MSWSOCK.DEF added.

  04/30/2008 V1.3

  - Win32Inc compatible with the new JWasm.
  - bugfix: OCIDL.INC: CONTROLINFO struct needed an alignment parameter.
  - bugfix: WINGDI.INC: BITMAPCOREINFO now aligned to DWORD.
  - bugfix: WINBASE.INC: COMMCONFIG+COMMPROP structures needed dword alignment.
  - bugfix: removed some entries in WINGDI.DEF, which belonged to OpenGl32.
  - IMAGEHLP.DEF and MPR.DEF added.

  02/12/2008 V1.2.5

  - bugfix: structures DISK_INT13_INFO and DISK_EX_INT13_INFO needed
    an alignment parameter.
  - WINNLS.DEF added.

  01/04/2008 V1.2.4

  - EXDISPID.INC added.
  - MSHTMDID.INC added.
  - OLEDB.INC added.
  - DCIDDI.INC, DCIMAN.INC added.
  - DINPUT.INC updated (methods "Escape" changed to "Escape_")
  - some GUIDs added for UUID.LIB
  - bugs fixed in WINIOCTL.INC
  - VDDSVC.INC, NT_VDD.INC added
  - NTVDM.DEF added

  10/05/2007 V1.2.3

  - some more GUIDs added for UUID.LIB
  - WINSPOOL.DEF added
  - bugfix: URL_COMPONENTS structure needed DWORD alignment

  08/12/2007 V1.2.2

  - STDIO.H: definition for stdin, stdout, stderr adjusted to account
    for some slight differences when using the static or dynamic C runtime.
  - WinINet sample made POASM compatible.  
  - OpenGL1 sample made POASM compatible.  
  - bugfix in GL.INC: GLvoid typedef adjusted
  - some more GUIDs added for UUID.LIB
  - some missing exports added for SHELL32.LIB
  - UnpackDDElParam, ReuseDDElParam exports added for USER32.LIB

  02/27/2007 V1.2.1

  - bugfix: DSound1 sample contained "include macros.inc",
    WinGUI1 sample was unable to load menu.
  - bugfix: mkguids.asm contained crt.inc (changed to stdio.inc
    and stdlib.inc)
  - bugfix: mkguids tool caused a GPF if file parameter wasn't an existing 
    file.
  - names of samples reorganized
  - sample SockHttp added
  - winsock.inc made compatible with POASM
  - DSOUND.DEF, OPENGL32.DEF, GLU32.DEF added

  02/23/2007 V1.2

  - WININET.DEF, SHLWAPI.DEF, RPCRT4.DEF and ODBC32.DEF added
  - SQL.INC, SQLTYPES.INC, SQLEXT.INC, SQLUCODE.INC added
  - samples ODBCSample and WinINet added

  01/21/2007 V1.1.9

  - a call of PORC added to GUISample2
  - sample SimplSvr updated
  - CRTDLL.DEF updated
  - MSVCRT.DEF added
  - WinMM.def added
  - WS2_32.DEF added
  - ordinals added to OLEAUT32.DEF 
  - RPC* includes updated with newer versions (PSDK 2001)
  - ADOSample was damaged in previous versions
  - Rtl* functions missing in winbase.def
  - shell GUIDs added to uuid\uuid

  01/17/2007 V1.1.8

  - missing GUID_NULL definition added to uuid\uuid
  - bugfix: underscore prefix removed in "_wsprintf" lines in Def\winuser.def

  01/15/2007 V1.1.7

  - some more .DEF files added: OLE32.DEF, OLEAUT32.DEF, COMDLG32.DEF
  - LIB\UUID.LIB, UUID\* and TOOLS\mkguids.asm added 
  - added to WINBASE.DEF: MultiByteToWideChar and WideCharToMultiByte
    exports.

  07/31/2006 V1.1.6

  - DEF subdir added to supply a simple method creating Win32 libraries
  - winioctl.inc added
  - prototypes in OBJBASE.INC changed to use @DefProto macro
  - SetConsoleTextAttribute second parameter changed from type WORD to DWORD
  - changes to make it POASM compatible:
    - create a WINASMP.INC for POASM (MASM still uses WINASM.INC)
    - POASM is much stricter with pointer types. It doesn't accept pointers
      to unknown structures. This had to be adjusted in the includes.

  03/18/2006 V1.1.5

  - bugfix: MAKEINTRESOURCE() didn't work in version 1.1.4. Thanks to
    Chun Sejin!

  02/25/2006 V1.1.4

  - bugfix: macros FD_SET, FD_CLR, FD_ISSET and FD_ZERO
    adjusted in WINSOCK.INC and WINSOCK2.INC. FD_SET typedef commented out.
  - bugfix: WSADATA structure needed a dword alignment parameter.
  - WAVEFORMATEX structure added to tools STRUCSIZ/STRUCSIC.
  - bugfix: 2 macros in MMSYSTEM.INC contained C style numbers
  - bugfix: ImageHlp.inc: struct STACKFRAME contained a field
    named "BOOL" (C name is "Far").
  - MSACM.INC, MMREG.INC, GUIDDEF.INC, TVOUT.INC, REASON.INC 
    WINTRUST.INC added.
  - WINNT.INC, WINBASE.INC, WINCON.INC, WINREG.INC, WINGDI.INC,
    WINUSER.INC replaced by files generated from C header versions
    dated 2001 (previously 1998). So most WinXP features should be
    covered by these includes.
  - _WIN32_WCE + _WIN32_FUSION added to WINASM.INC  

  12/29/2005 V1.1.3

  - DirectSound sample added.

  11/25/2005 V1.1.2

  - GL\GL.INC, GL\GLU.INC, GL\GLAUX.INC added
  - OpenGL sample added.

  10/21/2005 V1.1.1

  - DINPUT.INC + DSOUND.INC added

  08/28/2005 V1.1.0

  - DDRAW.INC: added underscore to methods CreatePalette,
    GetPixelFormat (GDI32 function name alias) , GetDC, ReleaseDC
    (USER32 function name alias).

  04/23/2005 V1.0.9

  - OBJBASE.INC: macros SUCCEEDED() and FAILED() had a severe bug.

  03/12/2005 V1.0.8

  - WINNT.INC: macro __TEXT() works now (required for
    constants such as SE_BACKUP_NAME)
  - MSWSOCK.INC: @DefProto macro used for prototypes
  - EXCPT.INC: prototype _exception_code commented out

  02/25/2005 V1.0.7.2

  - sample "Win32 console app" added

  02/24/2005 V1.0.7.1

  - bugfix: ADO sample used include file "macros.inc",
    which is not part of win32inc.zip

  02/23/2005 V1.0.7

  - OAIDL.INC replaced by newer version (old version
    missed IPropertyBag). MSXML.INC replaced by newer version.
  - ADOINT.INC added. Sample for ADO DB access added.

  02/20/2005 V1.0.6

  - ASPTLB.INC, IDISPIDS.INC added.
  - OAIDL.INC, OBJIDL.INC, OLEIDL.INC, OCIDL.INC, SHLDISP.INC,
    SHOBJIDL.INC replaced by versions using STDMETHOD macro.

  02/17/2005 V1.0.5.1

  - HTTPEXT.INC added

  02/17/2005 V1.0.5

  - FLOAT.INC replaced by versions using @DefProto macro
  - STDIO.INC: stdin and stdout macros for _DLL branch didn't work
  - WINSOCK.INC, WINSOCK2.INC and WININET.INC replaced.

  02/15/2005 V1.0.4

  - STRING.INC replaced by versions using @DefProto macro
  - bugfix: COMMCTRL.INC: ListView_SetItemState macro didn't work.

  02/14/2005 V1.0.3

  - WINNT.INC, WINBASE.INC, WINCON.INC, WINREG.INC,
  - WINGDI.INC, WINUSER.INC, STDIO.INC, STDLIB.INC replaced by
    versions using @DefProto macro.
  - equate ISOLATION_AWARE_ENABLED defined in winasm.inc.
  - COMMDLG.INC + PRSHT.INC replaced by newer versions (2001).
  - IMAGEHLP.INC added.

  02/04/2005 V1.0.2

  - some test tools added.
  - WINDOWSX.INC added.
  - COMMCTRL.INC: message cracker macros adjusted. 
  - WINASM.INC: SNDMSG() macro added.

  02/03/2005 V1.0.1

  - bugfix OBJIDL.INC: alignment 4 for FORMATETC
  - bugfix OAIDL.INC: alignment 4 for some structures
  - bugfix OAIDL.INC: PARAMDESCEX should have alignment 8,
    but this doesn't work for MASM 6/7. So a "filler" DWORD
    was added.
  - bugfix STDLIB.INC: some prototypes were wrong and externdefs
    missed "c" qualifier.
  - WINASM.INC: L() macro defined.

  02/01/2005 V1.0:

  - Win32 includes extracted from h2incx and shell includes added.

